Skip to main content
GET
/
v3
/
router
/
responses
/
{response_id}
curl https://api.orq.ai/v3/router/responses/resp_01KP6GDNJY5B0TT0R35KS23PYV \
  -H "Authorization: Bearer $ORQ_API_KEY"
{
  "id": "resp_01KP6GDNJY5B0TT0R35KS23PYV",
  "object": "response",
  "created_at": 1776187529,
  "completed_at": 1776187529,
  "status": "completed",
  "model": "openai/gpt-4o",
  "input": [
    {
      "type": "message",
      "id": "msg_01KP6GDNK0TXBVMD3N5BWZ285J",
      "role": "user",
      "content": [
        { "type": "input_text", "text": "What time is it?" }
      ]
    }
  ],
  "output": [
    {
      "type": "orq:current_date",
      "id": "msg_01kp6gdppk31xp6qc1z92x132p",
      "call_id": "fc_888c598a-b519-421a-9904-e5f0e8c34a53",
      "name": "current_date",
      "status": "completed",
      "result": {
        "currentDate": "2026-04-14T17:25:29.175Z"
      }
    },
    {
      "type": "message",
      "id": "msg_01KP6GDPP6D57H9G7VVFKFW07H",
      "role": "assistant",
      "status": "completed",
      "content": [
        {
          "type": "output_text",
          "text": "It's currently 17:25 UTC (2026‑04‑14).",
          "annotations": []
        }
      ]
    }
  ],
  "tools": [
    { "type": "orq:current_date" }
  ],
  "usage": {
    "input_tokens": 352,
    "output_tokens": 126,
    "total_tokens": 478,
    "input_tokens_details": {
      "cached_tokens": 0,
      "cache_creation_tokens": 0
    },
    "output_tokens_details": {
      "reasoning_tokens": 76
    }
  }
}
Retrieves a previously created response by its ID. The response must have been created with store: true (the default).
curl https://api.orq.ai/v3/router/responses/resp_01KP6GDNJY5B0TT0R35KS23PYV \
  -H "Authorization: Bearer $ORQ_API_KEY"
{
  "id": "resp_01KP6GDNJY5B0TT0R35KS23PYV",
  "object": "response",
  "created_at": 1776187529,
  "completed_at": 1776187529,
  "status": "completed",
  "model": "openai/gpt-4o",
  "input": [
    {
      "type": "message",
      "id": "msg_01KP6GDNK0TXBVMD3N5BWZ285J",
      "role": "user",
      "content": [
        { "type": "input_text", "text": "What time is it?" }
      ]
    }
  ],
  "output": [
    {
      "type": "orq:current_date",
      "id": "msg_01kp6gdppk31xp6qc1z92x132p",
      "call_id": "fc_888c598a-b519-421a-9904-e5f0e8c34a53",
      "name": "current_date",
      "status": "completed",
      "result": {
        "currentDate": "2026-04-14T17:25:29.175Z"
      }
    },
    {
      "type": "message",
      "id": "msg_01KP6GDPP6D57H9G7VVFKFW07H",
      "role": "assistant",
      "status": "completed",
      "content": [
        {
          "type": "output_text",
          "text": "It's currently 17:25 UTC (2026‑04‑14).",
          "annotations": []
        }
      ]
    }
  ],
  "tools": [
    { "type": "orq:current_date" }
  ],
  "usage": {
    "input_tokens": 352,
    "output_tokens": 126,
    "total_tokens": 478,
    "input_tokens_details": {
      "cached_tokens": 0,
      "cache_creation_tokens": 0
    },
    "output_tokens_details": {
      "reasoning_tokens": 76
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

response_id
string
required

The ID of the response to retrieve

Response

Response retrieved successfully.

background
boolean
required
completed_at
integer<int64> | null
required
created_at
integer<int64>
required
error
object
required
frequency_penalty
number<double>
required
id
string
required
incomplete_details
object
required
input
any[] | null
required

Array of input items (messages, function call outputs, etc.)

instructions
string | null
required
max_output_tokens
integer<int64> | null
required
max_tool_calls
integer<int64> | null
required
metadata
object
required
model
string
required
object
string
required

Always "response"

output
any[] | null
required

Array of output items (messages, function calls, reasoning, etc.)

parallel_tool_calls
boolean
required
presence_penalty
number<double>
required
previous_response_id
string | null
required
prompt_cache_key
string | null
required
prompt_cache_retention
string | null
required
reasoning
object
required
safety_identifier
string | null
required
service_tier
enum<string>
required
Available options:
auto,
default,
flex,
priority
status
enum<string>
required
Available options:
queued,
in_progress,
completed,
failed,
incomplete,
requires_action
store
boolean
required
temperature
number<double>
required
text
any
required

Text output configuration including format and verbosity

tool_choice
any
required

Tool choice setting: "auto", "none", "required", or a specific function

tools
any[] | null
required

Array of tool configurations used in this response

top_logprobs
integer<int64>
required
top_p
number<double>
required
truncation
enum<string>
required
Available options:
disabled,
auto
usage
object
required
user
string | null
required
conversation
object
memory
object
variables
object